function C = ci2mat(ci, k)
% CI2MAT turns cluster indication vector into a matrix

n = length(ci);

if nargin < 2
    k = max(ci);    
end

C = zeros(n, k);

for i=1:k
    C(:, i) = double(ci == i);
end