% CREATE_SCALE_DATA creates data for scalability tests
addpath(genpath('.'))
datadir = '../experiments/synth/data/';

N = 200:400:3400;
K = 10:10:80;

l = 500;

defN = 800;
defK = 20;
d = 0.05;
noise = 0.1;

iters = 5;

%% N
n = defN;
k = defK;
for n=N
    fprintf('n = %i\n', n);
    write_tensors(datadir, 'scale', n, n, l, k, d, noise, noise, iters);
end

%% K
n = defN;
k = defK;
for k=K
    fprintf('k = %i\n', k);
    write_tensors(datadir, 'scale', n, n, l, k, d, noise, noise, iters);
end
